• Русский
  • DisableToken [auth.alauda.io/v1]

    This API is installed only when the chart is deployed for the global cluster. It is not available on workload clusters.

    Description
    DisableToken is the Schema for the disabletokens API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    DisableTokenSpec defines the desired state of DisableToken

    statusobject

    DisableTokenStatus defines the observed state of DisableToken

    .spec

    Description
    DisableTokenSpec defines the desired state of DisableToken
    Type
    object
    Required
    ExpirationTokenMd5
    PropertyTypeDescription
    Expirationstring
    TokenMd5string

    .status

    Description
    DisableTokenStatus defines the observed state of DisableToken
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/auth.alauda.io/v1/disabletokens
      • DELETE: delete collection of DisableToken
      • GET: list objects of kind DisableToken
      • POST: create a new DisableToken
    • /apis/auth.alauda.io/v1/disabletokens/{name}
      • DELETE: delete the specified DisableToken
      • GET: read the specified DisableToken
      • PATCH: partially update the specified DisableToken
      • PUT: replace the specified DisableToken
    • /apis/auth.alauda.io/v1/disabletokens/{name}/status
      • GET: read status of the specified DisableToken
      • PATCH: partially update status of the specified DisableToken
      • PUT: replace status of the specified DisableToken

    /apis/auth.alauda.io/v1/disabletokens

    HTTP method
    DELETE
    Description
    delete collection of DisableToken
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind DisableToken
    HTTP responses
    HTTP codeResponse body
    200 - OKDisableTokenList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new DisableToken
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDisableToken schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDisableToken schema
    201 - CreatedDisableToken schema
    202 - AcceptedDisableToken schema
    401 - UnauthorizedEmpty

    /apis/auth.alauda.io/v1/disabletokens/{name}

    HTTP method
    DELETE
    Description
    delete the specified DisableToken
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified DisableToken
    HTTP responses
    HTTP codeResponse body
    200 - OKDisableToken schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified DisableToken
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDisableToken schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified DisableToken
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDisableToken schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDisableToken schema
    201 - CreatedDisableToken schema
    401 - UnauthorizedEmpty

    /apis/auth.alauda.io/v1/disabletokens/{name}/status

    HTTP method
    GET
    Description
    read status of the specified DisableToken
    HTTP responses
    HTTP codeResponse body
    200 - OKDisableToken schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified DisableToken
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDisableToken schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified DisableToken
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDisableToken schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDisableToken schema
    201 - CreatedDisableToken schema
    401 - UnauthorizedEmpty